<?
/*  $id: $
This script is part of the SLIS Project initiated by the CARMI-Internet (Acadmie de Grenoble - France 38).
Ce script fait partie du projet SLIS dmarr par le CARMI-Internet (Acadmie de Grenoble - France 38).

This script have been write by Julien Dumont - copyright (C) 2001
Ce script  t crit par Julien Dumont - copyright (C) - 2001

SLIS : Serveur de communications Linux pour l'Internet Scolaire. Copyright (C) 1998-2001 Bruno Bzeznik

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
more details. You should have received a copy of the GNU General Public License along with this program (For example ./COPYING);
if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Please send all comments and bug reports by electronic mail to: <slis@ac-grenoble.fr>
Envoyez vos suggestions et reports de bugs par e-mail  Bruno Bzeznik <slis@ac-grenoble.fr>
*/

// tools and libs
require("../../../slis.conf.php");
require("../inc/pgsql.inc.php");
require("../inc/libgw.inc.php");
require("../inc/html.inc.php");
require("../../inc/lang/french.inc.php");

// database handler
$db = dbconnect();
// starting of page
$html = startHTML("$lang_cg_pass_title");
$html .= saut(2);
print $html;

function error_passwd($msg)
{
        $val = center($msg);
        $val = "<H1><font color=\"#FF0022\">$val</font/></h1>\n";
        print "$val";
}

if(($mod == "valid") && ($oldpass !=""))
{
   $html = startHTML("$lang_cg_pass_title");
   $html .= saut(2);
   // check new passwd
   if($pass1 != $pass2)
   {
      error_passwd("$lang_cg_pass_notmatch\n");
      $html .= endHTML();
      print $html;
      exit;
   }
   if($pass1 == "")
   {
      error_passwd("$lang_cg_pass_empty\n");
      $html .= endHTML();
      print $html;
      exit;
   }
   if(strlen($pass1) > 8)
   {
      error_passwd("$lang_cg_pass_toolong\n");
      $html .= endHTML();
      print $html;
      exit;
   }
   if($oldpass)
   {
      $checkpass = checkpass($db,$login,$oldpass);
      if($checkpass == 0)
      {
         /* get user id */
         $userid = get_userid($db,$login);

         /* update users passwd*/
         $query = "update \"users\" set passwd='$pass1',modif='Yes',tovalid='Yes' where id='$userid'";
         $v_query = pg_exec($db,$query);

         /* add encrypt passwd */
         $passmd5 = makemd5($pass1);
         $passcrypt = makecrypt($pass1);
         $querypass = "update \"password\" set md5='$passmd5',crypt='$passcrypt' where id='$userid'";
         $v_querypass = pg_exec($db,$querypass);

	 /* touch into the queue */
         touch ("$QUEUE/cg_pass");
         touch ("$QUEUE/cg_tbp");

         print "<CENTER><H1><I><P>&nbsp;<P><FONT COLOR=\"#2200FF\">$lang_cg_pass_changed<BR></FONT></H1></I></CENTER>";

      }
      else
      {
         error_passwd("$lang_cg_pass_bad\n");
         $html .= endHTML();
         print $html;
         exit;
      }
   }
   $html .= endHTML();
   print $html;
}
else
{
   // In table
   $contenu = "<br><FORM action=\"index.php\" method=\"post\">\n";
   $contenu .= "<table border=\"0\">\n";
   $contenu .= "<input type=\"hidden\" name=\"mod\" value=\"valid\">\n";
   $contenu .= "<tr><td align=\"right\">Login : <td><INPUT type=\"text\" name=\"login\" value=\"$login\"><br></tr>\n";
   $contenu .= "<tr><td align=\"right\">$lang_cg_pass_old : <td><INPUT type=\"password\" name=\"oldpass\" value=\"$oldpass\"><br></tr>\n";
   $contenu .= "<tr><td align=\"right\">$lang_cg_pass_new : <td><INPUT type=\"password\" name=\"pass1\" value=\"$pass1\"><br></tr>\n";
   $contenu .= "<tr><td align=\"right\">$lang_cg_pass_new : <td><INPUT type=\"password\" name=\"pass2\" value=\"$pass2\"><br></tr>\n";
   $contenu .= "</table><center><br><input type=\"submit\" value=\"OK\"></center></form>\n";
   $contenu2 = center($contenu);
   // html
   $html = startHTML("Changement de Password");
   $html .= saut(2);
   $html_tmp = newsdbtbl("40%","#ffffff","#DEDEDE",$contenu2,1,"$lang_cg_pass_title","#3311FF");
   $html .= center($html_tmp);
   $html .= endHTML();
   print $html;
}
//close sql
pg_close($db);

?>
